<ion-content padding [scrollEvents]="true" (ionScroll)="logScrolling($event)">
  <!-- <app-navbar></app-navbar> -->
  <div id="container" class="bg-white" [ngClass]="cartItemsNo>0 ? 'mt-24 md:mt-48' : 'mt-header'">
    <!-- <div class="h-16 md:h-20"> -->
    <!-- </div> -->
    <div class="w-full relative" *ngIf="bannerList?.length > 0">
      <owl-carousel-o [options]="customOptions">
        <ng-container *ngFor="let slide of bannerList ">
          <ng-template carouselSlide [id]="slide.node.id">
            <div class="hidden md:block">
              <img [src]="slide.node.file" [alt]="slide.node.name">
            </div>
            <div class="block md:hidden">
              <img [src]="slide.node.fileMobile" [alt]="slide.node.name">
            </div>
          </ng-template>
        </ng-container>
      </owl-carousel-o>
    </div>


    <!-- Top product -->
    <div class="container mx-auto px-3 md:px-0">
      <div class="text-center mt-5 text-2xl md:text-4xl font-medium">
        <span class="px-5 inline-block leading-5 md:leading-7">Sản Phẩm</span>
      </div>
      <div>
        <div class="mx-auto max-w-screen-xl">
          <div>
            <mat-tab-group mat-align-tabs="center" class="mt-4" dynamicHeight animationDuration="0ms"
              (selectedTabChange)="onTabChanged($event)">
              <mat-tab *ngFor="let col of collections" [label]="col.name" class="font-medium">
                <div class="grid md:grid-cols-4 grid-cols-4 gap-4 md:gap-8 mt-3">
                  <div class="col-span-2 md:col-span-1 md:block hidden" *ngFor="let item of dataProduct">
                    <div class="w-full h-full relative" *ngIf="item.product.productImage?.length > 0">
                      <div class=" w-full h-full shadow-none cursor-pointer rounded-none overflow-hidden px-1">
                        <div class="product justify-center relative">
                          <a class="z-20 bg-gray-800 h-72 block w-full absolute opacity-0" (mouseover)='over(item)'
                            (mouseout)='out()' [routerLink]="'/product-detail/'+item.product.id">
                          </a>

                          <!-- <div class="h-72 w-full z-10 absolute  rounded-md" [innerHTML]="item.product.gif | safe:'html'" (click)="popupVideo(item.product)"
                            *ngIf="item.product.gif && showGIF(item)">
                          </div> -->

                          <!-- Chạy GIF -->
                          <div class="h-72 w-full z-10 absolute  rounded-md"
                            *ngIf="item.product.gifFile && showGIF(item)">
                            <img [src]="item.product.gifFile" alt="" class="p-0 md:h-72 rounded-md">
                          </div>

                          <!-- Chạy ảnh tự động -->
                          <div class="h-72 w-full z-10 absolute  rounded-md"
                            *ngIf="!item.product.gifFile && showProductList(item)">

                            <!-- <img src="/assets/image/bachtuot.gif" alt="" class="p-0 md:h-72 rounded-md"> -->
                            <div class="w-full relative" *ngIf="item.product?.productImage?.length > 1">
                              <owl-carousel-o [options]="productOptions" #owlCar>
                                <ng-container *ngFor="let slide of item?.product?.productImage ">
                                  <ng-template carouselSlide [id]="slide.id">
                                    <div>
                                      <img [src]="slide.image" [alt]="slide.id"
                                        class="h-72 object-cover w-full rounded-md">
                                    </div>
                                  </ng-template>
                                </ng-container>
                              </owl-carousel-o>
                            </div>
                          </div>

                          <!-- tag -->
                          <div class="absolute right-2 top-2 text-right z-30" *ngIf="item.product.tagImage">
                            <img class="object-cover h-7 md:h-10" [src]="item.product.tagImage" alt=''>
                          </div>
                          <a class="z-20" *ngIf="!item.product.gif || !showGIF(item)" (mouseover)='over(item)'
                            (mouseout)='out()' [routerLink]="'/product-detail/'+item.product.id">
                            <img class="object-cover h-72 w-full rounded-md" [src]="item.product.thumbnail"
                              [alt]="item.product.id">
                          </a>
                        </div>
                        <div [ngClass]="(item.product.gif && showGIF(item)) ? 'mt-72' : 'mt-0'">
                          <p class="font-medium pt-1 text-2xl truncate"
                            [routerLink]="'/product-detail/'+item.product.id">{{item.product.name}}</p>
                          <div
                            [innerHTML]="item?.product?.descriptions[0]?.description ? item?.product?.descriptions[0]?.description : '' | safe:'html'"
                            class="ck ck-content ck-editor__editable ck-rounded-corners ck-editor__editable_inline ck-blurred truncate-2-line 
                            overflow-hidden text-sm text-gray-400 cursor-text" style="min-height: 42px;">
                          </div>
                        </div>

                        <div class="mt-2 flex justify-between">
                          <div>
                            <span class=" md:text-xl font-bold text-base cursor-text" style="color: #FF413E;">{{
                              item.product.price |
                              number: '0.0-1':'vi'}}đ
                            </span>
                            <span class="line-through font-medium ml-1"
                              style="color: #717171; font-size: 16px; text-decoration-thickness: 1px;"
                              *ngIf="item.product.advertisingPrice">
                              {{item.product.advertisingPrice | number: '0.0-1':'vi'}}đ
                            </span>
                          </div>
                          <div>
                            <div class="text-white px-2 py-1 text-sm rounded-lg"
                              style="background-color: var(--color-red);" *ngIf="item.product.advertisingPrice">
                              -{{((item.product.advertisingPrice -
                              item.product.price)/item.product.advertisingPrice)*100 | number:
                              '1.0-0'}}%
                            </div>
                          </div>
                        </div>
                        <div class="my-2 grid grid-cols-5 gap-2 md:gap-4">
                          <div class="col-span-5 md:col-span-2">
                            <button mat-raised-button type="button"
                              class="w-full flex items-center justify-items-center" (click)="addToCart(item)">
                              <mat-icon class="text-lg mb-1">
                                shopping_cart
                              </mat-icon>
                            </button>
                          </div>
                          <div class="col-span-5 md:col-span-3">
                            <button mat-raised-button type="button" class="w-full"
                              [routerLink]="'/product-detail/'+item.product.id">
                              Mua ngay
                            </button>
                          </div>
                        </div>
                      </div>
                    </div>
                  </div>
                  <div class="col-span-2 md:col-span-1 block md:hidden" *ngFor="let item of dataProduct | slice:0:4">
                    <div class="w-full h-full relative" *ngIf="item.product.productImage?.length > 0">
                      <div
                        class=" w-full h-full shadow-none cursor-pointer rounded-none overflow-hidden px-1 flex flex-col content-between">
                        <!-- <div class="product justify-center">
                          <a (click)="popupVideo(item.product)">
                            <img class="object-cover md:h-64 h-32 w-full" [src]="item.product.thumbnail" [alt]="item.product.id">
                          </a>

                        </div> -->
                        <div class="product justify-center relative">
                          <a class="z-20 bg-gray-800 h-40 block w-full absolute opacity-0" (mouseover)='over(item)'
                            (mouseout)='out()' [routerLink]="'/product-detail/'+item.product.id">
                          </a>

                          <!-- Chạy GIF -->
                          <div class="h-40 w-full z-10 absolute  rounded-md"
                            *ngIf="item.product.gifFile && showGIF(item)">
                            <img [src]="item.product.gifFile" alt="" class="p-0 h-40 rounded-md">
                          </div>

                          <!-- Chạy ảnh tự động -->
                          <div class="h-40 w-full z-10 absolute  rounded-md"
                            *ngIf="!item.product.gifFile && showProductList(item)">

                            <!-- <img src="/assets/image/bachtuot.gif" alt="" class="p-0 md:h-72 rounded-md"> -->
                            <div class="w-full relative" *ngIf="item.product?.productImage?.length > 1">
                              <owl-carousel-o [options]="productOptions" #owlCar>
                                <ng-container *ngFor="let slide of item?.product?.productImage ">
                                  <ng-template carouselSlide [id]="slide.id">
                                    <div>
                                      <img [src]="slide.image" [alt]="slide.id"
                                        class="h-40 object-cover w-full rounded-md">
                                    </div>
                                  </ng-template>
                                </ng-container>
                              </owl-carousel-o>
                            </div>
                          </div>

                          <!-- tag -->
                          <div class="absolute right-2 top-2 text-right z-30" *ngIf="item.product.tagImage">
                            <img class="object-cover h-7 md:h-10" [src]="item.product.tagImage" alt=''>
                          </div>

                          <a class="z-20" *ngIf="!item.product.gif || !showGIF(item)" (mouseover)='over(item)'
                            (mouseout)='out()' [routerLink]="'/product-detail/'+item.product.id">
                            <img class="object-cover h-40 w-full rounded-md" [src]="item.product.thumbnail"
                              [alt]="item.product.id">
                          </a>
                        </div>
                        <div [ngClass]="(item.product.gif && showGIF(item))? 'mt-40' : 'mt-0'" class="h-full">
                          <p class="font-medium p-0 text-lg md:text-2xl truncate-2-line"
                            [routerLink]="'/product-detail/'+item.product.id">{{item.product.name}}</p>
                            <div>
                              <div
                                [innerHTML]="item?.product?.descriptions[0]?.description ? item?.product?.descriptions[0]?.description : '' | safe:'html'"
                                class="ck ck-content ck-editor__editable ck-rounded-corners ck-editor__editable_inline ck-blurred truncate-2-line 
                                overflow-hidden text-sm text-gray-400 cursor-text">
                              </div>
                            </div>
                        </div>

                        <div class="mt-2 md:mt-4">
                          <span class=" md:text-xl font-bold text-base cursor-text" style="color: #FF413E;">{{
                            item.product.price |
                            number: '0.0-1':'vi'}}đ
                          </span>
                          <div class="flex justify-between items-center">
                            <span class="line-through font-medium"
                              style="color: #717171; font-size: 16px; text-decoration-thickness: 1px;"
                              *ngIf="item.product.advertisingPrice">
                              {{item.product.advertisingPrice | number: '0.0-1':'vi'}}đ
                            </span>
                            <div class="text-white px-2 py-1 text-xs rounded-lg"
                              style="background-color: var(--color-red);" *ngIf="item.product.advertisingPrice">
                              -{{((item.product.advertisingPrice -
                              item.product.price)/item.product.advertisingPrice)*100 | number:
                              '1.0-0'}}%
                            </div>
                          </div>
                        </div>
                        <div class="my-2 grid grid-cols-5 gap-2 md:gap-4">
                          <div class="col-span-5 md:col-span-2">
                            <button mat-raised-button type="button"
                              class="w-full flex items-center justify-items-center" (click)="addToCart(item)">
                              <mat-icon class="text-lg mb-1">
                                shopping_cart
                              </mat-icon>
                            </button>
                          </div>
                          <div class="col-span-5 md:col-span-3">
                            <button mat-raised-button type="button" class="w-full"
                              [routerLink]="'/product-detail/'+item.product.id">
                              Mua ngay
                            </button>
                          </div>
                        </div>
                      </div>
                    </div>
                  </div>
                </div>
              </mat-tab>
            </mat-tab-group>
          </div>
        </div>

      </div>
    </div>

    <!-- Category -->
    <div>
      <div class="text-center mt-12 text-2xl md:text-4xl font-medium">
        <span class="px-5 inline-block leading-5 md:leading-7">Danh Mục</span>
      </div>
      <div class="grid grid-cols-2 md:grid-cols-4 mt-8 gap-2">
        <div class="col-span-1 relative cursor-pointer" *ngFor="let cate of categories | slice:0:4"
          [routerLink]="'/category/'+cate.node.id">
          <div class="bg-image bg-cover rounded-md" [ngStyle]="{'background-image': 'url('+ cate.node.icon +')'}">
            <div class="transbox w-full h-full">

            </div>

          </div>
          <div class="w-full absolute text-center" style="top: 80%">
            <span class="text-xl md:text-3xl text-shadow-md  font-medium text-white">{{cate.node.name}}</span>
          </div>

        </div>
      </div>
    </div>
    <!-- Sub Banner -->
    <!-- <div class="w-full pt-16" *ngIf="subBanner">
      <div class="h-32 md:h-44 bg-cover bg-header relative" >
        <div class="w-full h-full" [ngStyle]="{'background-image': 'url('+ subBanner.file +')'}">
          <div class="transbox-sub w-full h-full">
          </div>
          <div class="w-full absolute top-1/3 text-center px-10">
            <span class="text-xl md:text-3xl text-shadow-md  font-medium text-white">
              Hoàng gia tiên phong cung cấp các mặt hàng hải sản
            </span> 
           </div>
        </div>

      </div>
    </div> -->
    <!-- Category 2 -->
    <!-- <div>
      <div class="text-center mt-12 text-2xl md:text-4xl font-medium">
        <span class="px-5 inline-block leading-5 md:leading-7">Chế biến mang đi</span>
      </div>
      <div class="grid grid-cols-2 mt-4 gap-2">
        <div class="col-span-1 relative " *ngFor="let cate of categories | slice:0:2">  
          <div class="bg-image bg-cover" [ngStyle]="{'background-image': 'url('+ cate.node.icon +')'}">
            <div class="transbox w-full h-full">

            </div>

          </div>
          <div class="w-full absolute top-1/2 text-center">
            <span class="text-3xl text-shadow-md  font-medium text-white">{{cate.node.name}}</span> 
           </div>

        </div>
      </div>
    </div> -->
    <!-- Banner Footer -->
    <!-- <div>
      <div class="bg-gray-200 h-36">
        <div class="grid grid-cols-10 grid-rows-1 px-2">
          <div class="md:col-start-2 md:col-end-10 col-start-1 col-end-11">
            <div class="grid grid-rows-2 md:grid-rows-1 grid-cols-4">
              <div class="flex md:justify-center top-1/3 relative col-span-2 md:col-span-1 pt-1 md:pt-0">
                <img [src]="'assets/image/free-delivery.svg'" class="md:h-20 h-10 w-auto" alt="freeship">
                <span class="pt-1 md:pt-2 px-2 text-xs md:text-base">
                  <span class="font-bold ">
                    Giao hàng miễn phí
                  </span>
                  <br>
                  Trong nội thành HCM
                </span>
              </div>

              <div class="flex md:justify-center top-1/3 relative col-span-2 md:col-span-1 pt-1 md:pt-0">
                <img [src]="'assets/image/24-7.svg'" class=" md:h-20 h-10 w-auto" alt="24/7">
                <span class="pt-1 md:pt-2 px-2  text-xs md:text-base">
                  <span class="font-bold ">
                    Hỗ trợ 24/7
                  </span>
                  <br>
                  Nhanh chóng thuận tiện
                </span>
              </div>

              <div class="flex md:justify-center top-1/3 relative col-span-2 md:col-span-1 pt-1 md:pt-0">
                <img [src]="'assets/image/box.svg'" class="md:h-20 h-10 w-auto" alt="box">
                <span class="pt-1 md:pt-2 px-2  text-xs md:text-base">
                  <span class="font-bold">
                    Đổi trả 3 ngày
                  </span>
                  <br>
                  Hấp dẫn chưa từng có
                </span>
              </div>
              <div class="flex md:justify-center top-1/3 relative col-span-2 md:col-span-1 pt-1 md:pt-0">
                <img [src]="'assets/image/clipboard.svg'" class="md:h-20 h-10 w-auto" alt="clipboard">
                <span class="pt-1 md:pt-2 px-2  text-xs md:text-base">
                  <span class="font-bold">
                    Giá tiêu chuẩn
                  </span>
                  <br>
                  Tiết kiệm tới 10%
                </span>
              </div>

            </div>
          </div>
        </div>

      </div>
    </div> -->
    <div class="bg-white">
      <div class="py-4 md:py-6 px-2  md:block items-center justify-center hidden h-auto">
        <div class="grid grid-cols-4">
          <div class="col-span-1 flex justify-center">
            <img src="/assets/image/banner-11.png" alt="" class="p-0 h-72">
          </div>
          <div class="col-span-1 flex justify-center">
            <img src="/assets/image/banner-12.png" alt="" class="p-0 h-72">
          </div>
          <div class="col-span-1 flex justify-center">
            <img src="/assets/image/banner-13.png" alt="" class="p-0 h-72">
          </div>
          <div class="col-span-1 flex justify-center">
            <img src="/assets/image/banner-14.png" alt="" class="p-0 h-72">
          </div>
        </div>
      </div>
      <div class="md:hidden block">
        <div class="grid grid-cols-2 gap-0">
          <div class="col-span-1">
            <img src="/assets/image/banner-11.png" alt="" class="p-0">
          </div>
          <div class="col-span-1">
            <img src="/assets/image/banner-12.png" alt="" class="p-0">
          </div>
          <div class="col-span-1">
            <img src="/assets/image/banner-13.png" alt="" class="p-0">
          </div>
          <div class="col-span-1">
            <img src="/assets/image/banner-14.png" alt="" class="p-0">
          </div>
        </div>
      </div>
    </div>
    <app-footer></app-footer>
    <div>
      <button *ngIf="isShowBackToTop"
        class="fixed  right-12 md:bottom-4 md:right-28 z-50 w-10 h-10 md:w-12 md:h-12 rounded-full bg-main text-white"
        (click)="scrollToTop()" style="border: 1px solid whitesmoke"
        [ngClass]="cartItemsNo>0 ? 'bottom-28' : 'bottom-16'">
        <mat-icon class="pt-1" matTooltip="Trở về đầu trang">keyboard_arrow_up</mat-icon>
      </button>
    </div>
  </div>


</ion-content>